#pragma once

#include "core/jdraw8.hpp"
#include "game/info.hpp"
#include "game/prota.hpp"

class Marcador {
   public:
    Marcador(JD8_Surface gfx, Prota* sam);
    ~Marcador(void);

    void draw();

   protected:
    void pintaNumero(Uint16 x, Uint16 y, Uint8 num);

    JD8_Surface gfx;
    Prota* sam;
};
